Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.fts.FullTextSearch Class Reference
Inheritance diagram for com.foxit.sdk.fts.FullTextSearch:

## Public Member Functions
| FullTextSearch ()
| Constructor.
| FullTextSearch (FullTextSearch other)
| Constructor, with another full text search object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | searchOf (String match_string, int rank_mode, SearchCallback callback) throws com.foxit.sdk.PDFException
| Search for specified text among the indexed PDF files. More...
void | setDataBasePath (String path_of_data_base) throws com.foxit.sdk.PDFException
| Set a file path as sqlite data base which is used for storing the indexed data. More...
Progressive | startUpdateIndex (DocumentsSource source, PauseCallback pause, boolean reupdate) throws com.foxit.sdk.PDFException
| Start to update the index of PDF files defined in a documents source object. More...
boolean | updateIndexWithFilePath (String file_path) throws com.foxit.sdk.PDFException
| Update the index result of a specified PDF file. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_RankHitCountASC = 1
| Rank the searching results according to how the result matches the expected searching patten, in ascending order (from less similar to most similar or the same).
static final int | e_RankHitCountDESC = 2
| Rank the searching results according to how the result matches the expected searching patten, in descending order (from the same or most similar to less similar).
static final int | e_RankNone = 0
| No ranking mode is used for searching results.

## Detailed Description

This class is used to index some PDF files and then search specified text among these indexed PDF files.

## Constructor & Destructor Documentation

## ◆ FullTextSearch()

com.foxit.sdk.fts.FullTextSearch.FullTextSearch | ( | FullTextSearch | other | ) |

Constructor, with another full text search object.

Parameters

  [in] | other | Another full text search object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.fts.FullTextSearch.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.fts.FullTextSearch.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ searchOf()

boolean com.foxit.sdk.fts.FullTextSearch.searchOf | ( | String | match_string,
|  | int | rank_mode,
|  | SearchCallback | callback
| ) |  | throws com.foxit.sdk.PDFException

Search for specified text among the indexed PDF files.

This function can be used to search among several PDF files, which have been indexed by function FullTextSearch.startUpdateIndex or FullTextSearch.updateIndexWithFilePath . The searching result will be returned through callback function SearchCallback.retrieveSearchResult , in specified ranking mode.

Parameters

  [in] | match_string | A string to be searched. It should not be an empty string and should be UTF-8 encoding.
  [in] | rank_mode | The ranking mode used for searching results. Please refer to values starting from com.foxit.sdk.fts.FullTextSearch.e_RankNone and this should be one of these values.
  [in] | callback | A SearchCallback object. It should not be null. User should implement it and use it to retrieve the searching results.

Returns
  true means success, while false means failure.

## ◆ setDataBasePath()

void com.foxit.sdk.fts.FullTextSearch.setDataBasePath | ( | String | path_of_data_base | ) | throws com.foxit.sdk.PDFException

Set a file path as sqlite data base which is used for storing the indexed data.

This function is only useful before updating the index of PDF files for the first time by function FullTextSearch.startUpdateIndex or FullTextSearch.updateIndexWithFilePath . Once the updating has been done, this function will be useless.
If this function has never called for current full text search object successfully, the default file for sqlite data would be named as "fts.db" and located with application file.

Parameters

  [in] | path_of_data_base | A file path to specify a file as sqlite data base. It should not be an empty string and should be UTF-8 encoding.

Returns
  None.

## ◆ startUpdateIndex()

Progressive com.foxit.sdk.fts.FullTextSearch.startUpdateIndex | ( | DocumentsSource | source,
|  | PauseCallback | pause,
|  | boolean | reupdate
| ) |  | throws com.foxit.sdk.PDFException

Start to update the index of PDF files defined in a documents source object.

It may take a long time to do this updating, so Foxit PDF SDK uses a progressive process to do this.
Only PDF files under the specified directory (including sub-directory) defined in documents source can be indexed. The index of PDF files in the database that are not located in the specified directory (including sub-directory) defined in the document source will be deleted.

Parameters

  [in] | source | A documents source object, which defines a directory to be indexed.
  [in] | pause | Pause callback object which decides if the updating process needs to be paused. This can be null which means not to pause during the updating process. If this is not null, it should be a valid pause object implemented by user. Default value: null.
  [in] | reupdate | true means to re-update the existing index information in the database, and false means not to re-update the existing index information in the database. Default value: false.

Returns
  A progressive object. Please check the rate of current progress by function common.Progressive.getRateOfProgress . If the rate is not 100 yet, call function common.Progressive.resume to continue the progress until the progress is finished.

## ◆ updateIndexWithFilePath()

boolean com.foxit.sdk.fts.FullTextSearch.updateIndexWithFilePath | ( | String | file_path | ) | throws com.foxit.sdk.PDFException

Update the index result of a specified PDF file.

This function can be used to update the index result of a single PDF file.

Parameters

  [in] | file_path | An existed PDF file path. It should not be an empty string and should be UTF-8 encoding.

Returns
  true means success, while false means failure.